org.icefaces.ace.meta.annotation

## Enum DefaultValueType

- java.lang.Object
- - java.lang.Enum<DefaultValueType>
  - - org.icefaces.ace.meta.annotation.DefaultValueType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DefaultValueType>

      public enum DefaultValueType
      extends java.lang.Enum<DefaultValueType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXPRESSION`
    `STRING_LITERAL`
    `UNSET`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DefaultValueType` | `DEFAULT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DefaultValueType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DefaultValueType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRING_LITERAL

          public static final DefaultValueType STRING_LITERAL

    - #### EXPRESSION

          public static final DefaultValueType EXPRESSION

    - #### UNSET

          public static final DefaultValueType UNSET

  - ### Field Detail

    - #### DEFAULT

          public static final DefaultValueType DEFAULT

  - ### Method Detail

    - #### values

          public static DefaultValueType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DefaultValueType c : DefaultValueType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DefaultValueType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.